Fix
Keywords: net.corda.finance.contracts.Fix class
Date: 2023-09-18

net.corda.finance.contracts

## Class Fix

- net.corda.finance.contracts.Fix

- All Implemented Interfaces:
    CommandData

      public class Fix
      implements CommandData

  A `class Fix` represents a named interest rate, on a given day, for a given duration. It can be embedded in a tx.

  See Also:
    `class Fix`

- - ### Constructor Detail

    - #### Fix

          public Fix(@NotNull
                     FixOf of,
                     @NotNull
                     java.math.BigDecimal value)

      A `class Fix` represents a named interest rate, on a given day, for a given duration. It can be embedded in a tx.

      See Also:
        `class Fix`

  - ### Method Detail

    - #### getOf

          @NotNull
          public FixOf getOf()

    - #### getValue

          @NotNull
          public java.math.BigDecimal getValue()

    - #### component1

          @NotNull
          public FixOf component1()

    - #### component2

          @NotNull
          public java.math.BigDecimal component2()

    - #### copy

          @NotNull
          public Fix copy(@NotNull
                                   FixOf of,
                                   @NotNull
                                   java.math.BigDecimal value)

      A `class Fix` represents a named interest rate, on a given day, for a given duration. It can be embedded in a tx.

      See Also:
        `class Fix`

    - #### toString

          @NotNull
          public java.lang.String toString()

      A `class Fix` represents a named interest rate, on a given day, for a given duration. It can be embedded in a tx.

      See Also:
        `class Fix`

    - #### hashCode

          public int hashCode()

      A `class Fix` represents a named interest rate, on a given day, for a given duration. It can be embedded in a tx.

      See Also:
        `class Fix`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      A `class Fix` represents a named interest rate, on a given day, for a given duration. It can be embedded in a tx.

      See Also:
        `class Fix`